GNU bug report logs - #17589
24.3.91; lisp/frameset.el

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: eg5cue@HIDDEN; dated Sun, 25 May 2014 19:47:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 30 May 2014 02:18:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 29 22:18:32 2014
Received: from localhost ([127.0.0.1]:36705 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WqCOu-0004nw-DS
	for submit <at> debbugs.gnu.org; Thu, 29 May 2014 22:18:32 -0400
Received: from mail-yk0-f179.google.com ([209.85.160.179]:39199)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1WqCOr-0004ng-Td
 for 17589 <at> debbugs.gnu.org; Thu, 29 May 2014 22:18:31 -0400
Received: by mail-yk0-f179.google.com with SMTP id 19so1018281ykq.10
 for <17589 <at> debbugs.gnu.org>; Thu, 29 May 2014 19:18:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=3xzE1AUDt8Wpl6A27g5GlPID31pGNEwo6hJiMkGuIoA=;
 b=RIKP9psGFKk/zGZn/5EpmP5DAw93GPqSBt/PszxPyP/DYqC5UWD9+0B3pQnaJPFjAC
 ePzh/geGF5dklD2xfttvBTqY2DSE5SixtagzoyiU1JtNq1TjxLb3TeR085h/XQ7plhej
 N9i50cHQkCHy0Se3V6DueC2obcC5UV2SPGdF8BBT/XYIhIiyi+qZaISf0jeo0HWS/pWl
 RYr5/5vAEEye7klPfMjlSjRI7V8h/VholpwwJ0AKzL44xYOaZjQvSjJIzbAR05mVGrN5
 +8m4U2B6rm6x1qpDWLf5+WNUd38lTyFRutXSFkKRKyne4dpVUcexAA3A1apQNwMVMLte
 k7GA==
X-Received: by 10.236.181.232 with SMTP id l68mr754873yhm.143.1401416304204;
 Thu, 29 May 2014 19:18:24 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.170.127.66 with HTTP; Thu, 29 May 2014 19:17:44 -0700 (PDT)
In-Reply-To: <jwvvbsqm50h.fsf-monnier+emacsbugs@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
 <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
 <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
 <CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>
 <53843FF8.6040800@HIDDEN>
 <CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>
 <53845749.1000706@HIDDEN>
 <CAAeL0SQy6-GJsNfxEEGtpSZmv56QFkqkVa3DujKD+-x67=uqNg@HIDDEN>
 <5384642E.5060000@HIDDEN>
 <CAAeL0SQ529SZOMQSur2RY0aSVKbMoYw0QppG9HhwUdn5uHxD0Q@HIDDEN>
 <53848E86.1010301@HIDDEN>
 <CAAFMBVZL-pHPdo5LaiHQGJs8+5iFWjHZYT60zH55wRG2O7919g@HIDDEN>
 <5384C7FE.9010005@HIDDEN>
 <CAAeL0SRMeV67ZLyAXxyhcnYGPswyY4dmd_bBF-dTAxFN7ioirw@HIDDEN>
 <jwvtx8aoit5.fsf-monnier+emacsbugs@HIDDEN>
 <CAAeL0SQu9AMQXbr74dHF7uS40+qSFMoXwRRxu47dRgFEA+=qgg@HIDDEN>
 <jwvvbsqm50h.fsf-monnier+emacsbugs@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Fri, 30 May 2014 04:17:44 +0200
Message-ID: <CAAeL0SQQ2EvegHar_pvhXnc2xvwvPo=jo=Y8fOMtc2w1RCG37A@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17589
Cc: martin rudalics <rudalics@HIDDEN>, Arash Cue <eg5cue@HIDDEN>,
 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Wed, May 28, 2014 at 3:05 PM, Stefan Monnier
<monnier@HIDDEN> wrote:

> Right, that would be the idea.

I think the current interfaces (window-state-get|put and
frameset-save|restore, with an optional WRITABLE or IN-SESSION arg)
are way preferable. Seems messy to introduce frameset-writable (or
whatever) when the framesets are intended to be writable and the
in-memory-only case is just an exception.

> One way to make it less ugly is to fold the "make it writable" thingy
> directly into the print code.

The difference between a "writable frameset" and a non-writable one is
not a matter of how to print some values, in the sense that you can
decide how to write it just by looking at the value. Some you have to
save in specific ways to be able to restore them.

     J




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 30 May 2014 02:11:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 29 22:11:42 2014
Received: from localhost ([127.0.0.1]:36691 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WqCII-0004ZA-BS
	for submit <at> debbugs.gnu.org; Thu, 29 May 2014 22:11:42 -0400
Received: from mail-yk0-f169.google.com ([209.85.160.169]:58322)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1WqCIF-0004Yp-LX
 for 17589 <at> debbugs.gnu.org; Thu, 29 May 2014 22:11:40 -0400
Received: by mail-yk0-f169.google.com with SMTP id 200so1026364ykr.0
 for <17589 <at> debbugs.gnu.org>; Thu, 29 May 2014 19:11:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=59VQo/s6PKH3UPTkTGtJtrvZeXKvzbq6/3V1+QqKH1w=;
 b=l3SQGEgTfABYP/3UHhglAJTSOqcIPkB+gyR1bwBKa2PvTPDyiMtNqjqGd19BElFDG4
 NL5lGETIfkPLVN/zk2RDZtwzXx5NQJJTm1aW4FidNCyryKvx1yHGPB4pwH3VyEMokHd5
 CBQaV0yVkRI2amQDmcQZpiRYi/2Jv69L38fvBWuHt8K6VBPfEN7odKlkUFrQ1Nliz5Lf
 JH7x3ZF3LSJZS5VxFdMzgUUTTsK3q6YNCGBrgczTk8YGwkpBvVtuaWoJ5s8oK42L3L3M
 rIBksA076bzGZGqsqob6b+/AnQ0nCNKCeXc6QrZhOc7jWtSI4jZrVCmFksqbsneSioqK
 25Fg==
X-Received: by 10.236.226.101 with SMTP id a95mr15663587yhq.88.1401415894229; 
 Thu, 29 May 2014 19:11:34 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.170.127.66 with HTTP; Thu, 29 May 2014 19:10:54 -0700 (PDT)
In-Reply-To: <CAAFMBVbZK1cg90b3rd4TMXC37mrvvL1=AmA3Ts7NPnvW6PAo5Q@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
 <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
 <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
 <CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>
 <53843FF8.6040800@HIDDEN>
 <CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>
 <53845749.1000706@HIDDEN>
 <CAAeL0SQy6-GJsNfxEEGtpSZmv56QFkqkVa3DujKD+-x67=uqNg@HIDDEN>
 <5384642E.5060000@HIDDEN>
 <CAAeL0SQ529SZOMQSur2RY0aSVKbMoYw0QppG9HhwUdn5uHxD0Q@HIDDEN>
 <53848E86.1010301@HIDDEN>
 <CAAFMBVZL-pHPdo5LaiHQGJs8+5iFWjHZYT60zH55wRG2O7919g@HIDDEN>
 <5384C7FE.9010005@HIDDEN>
 <CAAeL0SRMeV67ZLyAXxyhcnYGPswyY4dmd_bBF-dTAxFN7ioirw@HIDDEN>
 <CAAFMBVYZxZ+zdw8r++vpDrE2c4YGDhpa9Ojxnr4qgjgSwkiseA@HIDDEN>
 <CAAeL0SRB4xBM6ZsR5ZEK0NWpUwisO7aFyo2VWQXKXB5=q-QDng@HIDDEN>
 <CAAFMBVbZK1cg90b3rd4TMXC37mrvvL1=AmA3Ts7NPnvW6PAo5Q@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Fri, 30 May 2014 04:10:54 +0200
Message-ID: <CAAeL0SS5OB9VEsM=5ZSzCyujPHqVK3NP_D+zWCg4+e-JRAsyDg@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
To: Arash Cue <eg5cue@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17589
Cc: martin rudalics <rudalics@HIDDEN>, 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

> no, i applied Martin's change and your's.

Then please send a recipe to reproduce it, because I can't just with
these patches.

TIA,

    Juanma




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 28 May 2014 13:06:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 28 09:06:04 2014
Received: from localhost ([127.0.0.1]:34092 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WpdYR-00062a-Kp
	for submit <at> debbugs.gnu.org; Wed, 28 May 2014 09:06:03 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:9307)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WpdYO-00061y-AJ
 for 17589 <at> debbugs.gnu.org; Wed, 28 May 2014 09:06:01 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArYGAIDvNVNLd/fU/2dsb2JhbABZgwaDSr0vgw6BFxd0giUBAQEBAgFWIwULCw4mEhQYDSSIBAjSGReOegeEOASpGYFqg0wh
X-IPAS-Result: ArYGAIDvNVNLd/fU/2dsb2JhbABZgwaDSr0vgw6BFxd0giUBAQEBAgFWIwULCw4mEhQYDSSIBAjSGReOegeEOASpGYFqg0wh
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="64764163"
Received: from 75-119-247-212.dsl.teksavvy.com (HELO pastel.home)
 ([75.119.247.212])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 28 May 2014 09:05:54 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 4A0A6601CB; Wed, 28 May 2014 09:05:54 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
Message-ID: <jwvvbsqm50h.fsf-monnier+emacsbugs@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
 <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
 <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
 <CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>
 <53843FF8.6040800@HIDDEN>
 <CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>
 <53845749.1000706@HIDDEN>
 <CAAeL0SQy6-GJsNfxEEGtpSZmv56QFkqkVa3DujKD+-x67=uqNg@HIDDEN>
 <5384642E.5060000@HIDDEN>
 <CAAeL0SQ529SZOMQSur2RY0aSVKbMoYw0QppG9HhwUdn5uHxD0Q@HIDDEN>
 <53848E86.1010301@HIDDEN>
 <CAAFMBVZL-pHPdo5LaiHQGJs8+5iFWjHZYT60zH55wRG2O7919g@HIDDEN>
 <5384C7FE.9010005@HIDDEN>
 <CAAeL0SRMeV67ZLyAXxyhcnYGPswyY4dmd_bBF-dTAxFN7ioirw@HIDDEN>
 <jwvtx8aoit5.fsf-monnier+emacsbugs@HIDDEN>
 <CAAeL0SQu9AMQXbr74dHF7uS40+qSFMoXwRRxu47dRgFEA+=qgg@HIDDEN>
Date: Wed, 28 May 2014 09:05:54 -0400
In-Reply-To: <CAAeL0SQu9AMQXbr74dHF7uS40+qSFMoXwRRxu47dRgFEA+=qgg@HIDDEN>
 (Juanma Barranquero's message of "Wed, 28 May 2014 07:28:23 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17589
Cc: martin rudalics <rudalics@HIDDEN>, Arash Cue <eg5cue@HIDDEN>,
 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> :in-session arg in frameset-save, unless you also want that
> frameset-save returns non-writable framesets and add a
> frameset-writable function,

Right, that would be the idea.

> which is very ugly.

One way to make it less ugly is to fold the "make it writable" thingy
directly into the print code.  We've already had some discussions about
that in the past.  For example, we could provide
a `print-non-readable-function' which the C printing routines would
call when bumping into a non-readable object and which could return
either a string to print instead.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 28 May 2014 11:35:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 28 07:35:37 2014
Received: from localhost ([127.0.0.1]:34040 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wpc8u-0003FK-Tz
	for submit <at> debbugs.gnu.org; Wed, 28 May 2014 07:35:37 -0400
Received: from mail-qg0-f43.google.com ([209.85.192.43]:54923)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eg5cue@HIDDEN>) id 1Wpc8q-0003Ew-Lw
 for 17589 <at> debbugs.gnu.org; Wed, 28 May 2014 07:35:34 -0400
Received: by mail-qg0-f43.google.com with SMTP id 63so17150150qgz.2
 for <17589 <at> debbugs.gnu.org>; Wed, 28 May 2014 04:35:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=/Z6Dv8n9NC5S9si1sHIShL1VHmYgdfK/qULso903y2Y=;
 b=YhQJL02gRO3Fz9OD/ayzBK5hTtoYaTQPrsOnveRxWoGbpa4yAmAzE4UGGg9lY+uK/X
 VlWla5vSXocjZ7DJuwgohJh9Okn1RIErZE+7o29gkvyS4gl/fIDXXiPnQCf7XvoY92Wl
 FrcDnXvRHtHACEB/RunQUJ47TmK//MerBLgoxo4hlCvpwWv4KmmN/LQniLoqMBIhG4qy
 pzz32M5sEp/jWI02KlsOmbU/rMrKrfURTunAPwfFMckZUrDPZHDp5GgruhEIaG/RiUN5
 XCWwl8RvJZ6Ad3zBvnX6HU+EZFIYG5eiiVYa+DgquawuXNyoKZH/T5NpRIE92hll1sM3
 u9MQ==
MIME-Version: 1.0
X-Received: by 10.140.36.105 with SMTP id o96mr49326107qgo.25.1401276927075;
 Wed, 28 May 2014 04:35:27 -0700 (PDT)
Received: by 10.96.228.112 with HTTP; Wed, 28 May 2014 04:35:27 -0700 (PDT)
In-Reply-To: <CAAeL0SRB4xBM6ZsR5ZEK0NWpUwisO7aFyo2VWQXKXB5=q-QDng@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
 <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
 <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
 <CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>
 <53843FF8.6040800@HIDDEN>
 <CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>
 <53845749.1000706@HIDDEN>
 <CAAeL0SQy6-GJsNfxEEGtpSZmv56QFkqkVa3DujKD+-x67=uqNg@HIDDEN>
 <5384642E.5060000@HIDDEN>
 <CAAeL0SQ529SZOMQSur2RY0aSVKbMoYw0QppG9HhwUdn5uHxD0Q@HIDDEN>
 <53848E86.1010301@HIDDEN>
 <CAAFMBVZL-pHPdo5LaiHQGJs8+5iFWjHZYT60zH55wRG2O7919g@HIDDEN>
 <5384C7FE.9010005@HIDDEN>
 <CAAeL0SRMeV67ZLyAXxyhcnYGPswyY4dmd_bBF-dTAxFN7ioirw@HIDDEN>
 <CAAFMBVYZxZ+zdw8r++vpDrE2c4YGDhpa9Ojxnr4qgjgSwkiseA@HIDDEN>
 <CAAeL0SRB4xBM6ZsR5ZEK0NWpUwisO7aFyo2VWQXKXB5=q-QDng@HIDDEN>
Date: Wed, 28 May 2014 11:35:27 +0000
Message-ID: <CAAFMBVbZK1cg90b3rd4TMXC37mrvvL1=AmA3Ts7NPnvW6PAo5Q@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
From: Arash Cue <eg5cue@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Content-Type: multipart/alternative; boundary=001a11c17334786af504fa74359b
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17589
Cc: martin rudalics <rudalics@HIDDEN>, 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

--001a11c17334786af504fa74359b
Content-Type: text/plain; charset=UTF-8

no, i applied Martin's change and your's.


On Wed, May 28, 2014 at 4:50 AM, Juanma Barranquero <lekktu@HIDDEN>wrote:

> On Wed, May 28, 2014 at 2:16 AM, Arash Cue <eg5cue@HIDDEN> wrote:
>
> > i applied these changes and it somehow fixed the issue but now i can't
> > restore my frame configurations after saving and reading the session
> > `desktop-save', `desktop-read'.
>
> That's weird, because these changes do not affect deskop saving at all.
>
> Did you apply Martin's change, or your reversed (and erroneous)
> version of Martin's change?
>
>     J
>

--001a11c17334786af504fa74359b
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">no, i applied Martin&#39;s change and your&#39;s.</div><di=
v class=3D"gmail_extra"><br><br><div class=3D"gmail_quote">On Wed, May 28, =
2014 at 4:50 AM, Juanma Barranquero <span dir=3D"ltr">&lt;<a href=3D"mailto=
:lekktu@HIDDEN" target=3D"_blank">lekktu@HIDDEN</a>&gt;</span> wrote:=
<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex"><div class=3D"">On Wed, May 28, 2014 at 2:16=
 AM, Arash Cue &lt;<a href=3D"mailto:eg5cue@HIDDEN">eg5cue@HIDDEN</a>=
&gt; wrote:<br>

<br>
&gt; i applied these changes and it somehow fixed the issue but now i can&#=
39;t<br>
&gt; restore my frame configurations after saving and reading the session<b=
r>
&gt; `desktop-save&#39;, `desktop-read&#39;.<br>
<br>
</div>That&#39;s weird, because these changes do not affect deskop saving a=
t all.<br>
<br>
Did you apply Martin&#39;s change, or your reversed (and erroneous)<br>
version of Martin&#39;s change?<br>
<span class=3D"HOEnZb"><font color=3D"#888888"><br>
=C2=A0 =C2=A0 J<br>
</font></span></blockquote></div><br></div>

--001a11c17334786af504fa74359b--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 28 May 2014 05:29:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 28 01:29:12 2014
Received: from localhost ([127.0.0.1]:33938 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WpWQJ-0006im-Ua
	for submit <at> debbugs.gnu.org; Wed, 28 May 2014 01:29:12 -0400
Received: from mail-yk0-f172.google.com ([209.85.160.172]:42942)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1WpWQH-0006iP-At
 for 17589 <at> debbugs.gnu.org; Wed, 28 May 2014 01:29:10 -0400
Received: by mail-yk0-f172.google.com with SMTP id 79so7950055ykr.31
 for <17589 <at> debbugs.gnu.org>; Tue, 27 May 2014 22:29:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=oJbpEtN+tcA5aR3xZ2YxP/77d+JKG/Ll9Fn3RlyACAY=;
 b=Ln2OA9wo9HC5zCU3K59UilIwPpEwt5AdxA6mnedWO+wnTD8p8oXupcggCnIISaPOyR
 dfN3duNXM9LneySxS2G2l+5cZR3yI0Dm9Cm70EWeiBmYGNVPbaAh5tQk4m5mNF0Zq+s/
 4ZiKouif3EAc/kp7AXaLWWS3PFUrrA9foY/M0tmC2gl5itHmno/4yJi8UY1h24Sb7rGN
 j2/JZNkovsGAimBp8KY5/xySIQ1DTsNcYTxO4rlBy1+JTVUiTKX60coPO+pSmlo/3JFm
 QEDxEBYGgkPUMiTsGMO4VPw8Z9rzrxyb7NJL3up+EF9gn+L9lfobiVNiPWHfUHebszHx
 h/EA==
X-Received: by 10.236.61.45 with SMTP id v33mr53777351yhc.20.1401254943926;
 Tue, 27 May 2014 22:29:03 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.170.127.66 with HTTP; Tue, 27 May 2014 22:28:23 -0700 (PDT)
In-Reply-To: <jwvtx8aoit5.fsf-monnier+emacsbugs@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
 <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
 <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
 <CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>
 <53843FF8.6040800@HIDDEN>
 <CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>
 <53845749.1000706@HIDDEN>
 <CAAeL0SQy6-GJsNfxEEGtpSZmv56QFkqkVa3DujKD+-x67=uqNg@HIDDEN>
 <5384642E.5060000@HIDDEN>
 <CAAeL0SQ529SZOMQSur2RY0aSVKbMoYw0QppG9HhwUdn5uHxD0Q@HIDDEN>
 <53848E86.1010301@HIDDEN>
 <CAAFMBVZL-pHPdo5LaiHQGJs8+5iFWjHZYT60zH55wRG2O7919g@HIDDEN>
 <5384C7FE.9010005@HIDDEN>
 <CAAeL0SRMeV67ZLyAXxyhcnYGPswyY4dmd_bBF-dTAxFN7ioirw@HIDDEN>
 <jwvtx8aoit5.fsf-monnier+emacsbugs@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Wed, 28 May 2014 07:28:23 +0200
Message-ID: <CAAeL0SQu9AMQXbr74dHF7uS40+qSFMoXwRRxu47dRgFEA+=qgg@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17589
Cc: martin rudalics <rudalics@HIDDEN>, Arash Cue <eg5cue@HIDDEN>,
 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Wed, May 28, 2014 at 2:22 AM, Stefan Monnier
<monnier@HIDDEN> wrote:

> Or to always save window-state in a "non-writable" form, and then
> provide a separate function to turn this into a writable form.  If we
> can always know right from the start if we'll write the window-state,
> then we don't need that, but if we may sometimes need a window-state
> which we may or may not later write to a file, then a separate function
> would be needed.

I thought of that, but it doesn't really change the need to have a
:in-session arg in frameset-save, unless you also want that
frameset-save returns non-writable framesets and add a
frameset-writable function, which is very ugly.

    J




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 28 May 2014 05:27:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 28 01:27:30 2014
Received: from localhost ([127.0.0.1]:33934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WpWOg-0006ez-DN
	for submit <at> debbugs.gnu.org; Wed, 28 May 2014 01:27:30 -0400
Received: from mail-yh0-f44.google.com ([209.85.213.44]:35804)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1WpWOd-0006eg-HP
 for 17589 <at> debbugs.gnu.org; Wed, 28 May 2014 01:27:28 -0400
Received: by mail-yh0-f44.google.com with SMTP id b6so8370784yha.31
 for <17589 <at> debbugs.gnu.org>; Tue, 27 May 2014 22:27:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=BRh+dC6Rar9Q9C4E8NKURmU81FQDpKLQxK++MyI/MaQ=;
 b=wctBDjxJm6/TOVyFRIt98D6LNqa9xKwTpY80oPdLlrIdiaQXhWtGrNz4meCVQYrRAH
 7ysjclaLcWNxT1gG6bd0SMHOXpefv8VNUidrIfYOG2ZanVKfYx0JLBiUlt9lsXpaQl4s
 M9tk+T0G/nWjO1ItEmZdBQZWPmMSoX77QUJ2ZI4zCLnEaC2dUzOZcb8SZjw5YJgGWK0u
 8GxIgTrC0jTDa4p4CsvZ6RLTvzu26mpY41BBvjGEzrFmaH9bCDHusCA+xMcftMcvhha8
 Sa0s9fVLjwOUq2Hbd90UsgZF/SlcuCsASdfhNyoAs8D2IcnQlotDK9g2S1mRXeUqOoDx
 zzrw==
X-Received: by 10.236.61.45 with SMTP id v33mr53764379yhc.20.1401254841923;
 Tue, 27 May 2014 22:27:21 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.170.127.66 with HTTP; Tue, 27 May 2014 22:26:41 -0700 (PDT)
In-Reply-To: <CAAeL0SRB4xBM6ZsR5ZEK0NWpUwisO7aFyo2VWQXKXB5=q-QDng@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
 <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
 <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
 <CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>
 <53843FF8.6040800@HIDDEN>
 <CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>
 <53845749.1000706@HIDDEN>
 <CAAeL0SQy6-GJsNfxEEGtpSZmv56QFkqkVa3DujKD+-x67=uqNg@HIDDEN>
 <5384642E.5060000@HIDDEN>
 <CAAeL0SQ529SZOMQSur2RY0aSVKbMoYw0QppG9HhwUdn5uHxD0Q@HIDDEN>
 <53848E86.1010301@HIDDEN>
 <CAAFMBVZL-pHPdo5LaiHQGJs8+5iFWjHZYT60zH55wRG2O7919g@HIDDEN>
 <5384C7FE.9010005@HIDDEN>
 <CAAeL0SRMeV67ZLyAXxyhcnYGPswyY4dmd_bBF-dTAxFN7ioirw@HIDDEN>
 <CAAFMBVYZxZ+zdw8r++vpDrE2c4YGDhpa9Ojxnr4qgjgSwkiseA@HIDDEN>
 <CAAeL0SRB4xBM6ZsR5ZEK0NWpUwisO7aFyo2VWQXKXB5=q-QDng@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Wed, 28 May 2014 07:26:41 +0200
Message-ID: <CAAeL0SRuD1eDzmf_BXKbMF_smMmouZ7Nv6heAwHj3NPLhHqDtA@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
To: Arash Cue <eg5cue@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17589
Cc: martin rudalics <rudalics@HIDDEN>, 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Wed, May 28, 2014 at 6:50 AM, Juanma Barranquero <lekktu@HIDDEN> wrote:

> That's weird, because these changes do not affect deskop saving at all.

Though there's still bug#17090: unusable frameset data is saved to the
desktop as part of register-alist. But it shouldn't (and doesn't, in
my tests) affect saving and restoring the desktop; it just breaks M-x
list-registers.

    J




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 28 May 2014 04:55:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 28 00:55:50 2014
Received: from localhost ([127.0.0.1]:33922 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WpVu2-0005Yi-6g
	for submit <at> debbugs.gnu.org; Wed, 28 May 2014 00:55:50 -0400
Received: from mail-yk0-f182.google.com ([209.85.160.182]:55782)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1WpVu0-0005YT-1q
 for 17589 <at> debbugs.gnu.org; Wed, 28 May 2014 00:55:48 -0400
Received: by mail-yk0-f182.google.com with SMTP id 9so7902522ykp.13
 for <17589 <at> debbugs.gnu.org>; Tue, 27 May 2014 21:55:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=tre2ftS7by/UNvLWICUJMDpzbyl8P2TAnFQMg0soMWA=;
 b=zNIt2S9KUTs0YZ8uP9a0rl0ss21PebtzZae2IsdHsZ2FvOVl/wV2xH1pDeUO+2+Q3z
 xaj5Bgskp3aW7ImeZEF1BXxwfUGp1JXcnc3nZG8UNyrNQh+c8yL1S681yVBPPB6wK1v8
 toRoZrJfJ4O6PB+yzWvYHR9N96QwROtGNXF1D+f2+I+QNHRdlmta+QOB4RLnD+ZSoVy9
 y9YcoYf6+TCk61ExjWvkpWGoaDj+lsyKUHiDYi8r1qSmuGxke/SuFV+OiHmUCpGrhmoW
 Ww/T8NV7cKXi1EjG/UHtNxCGG0eKEtp3FL8/5RgPUI/uc2RfeNQjx7bZhUgC4psxe8yl
 DDzg==
X-Received: by 10.236.91.170 with SMTP id h30mr20273081yhf.143.1401252942375; 
 Tue, 27 May 2014 21:55:42 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.170.127.66 with HTTP; Tue, 27 May 2014 21:55:02 -0700 (PDT)
In-Reply-To: <jwvtx8aoit5.fsf-monnier+emacsbugs@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
 <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
 <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
 <CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>
 <53843FF8.6040800@HIDDEN>
 <CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>
 <53845749.1000706@HIDDEN>
 <CAAeL0SQy6-GJsNfxEEGtpSZmv56QFkqkVa3DujKD+-x67=uqNg@HIDDEN>
 <5384642E.5060000@HIDDEN>
 <CAAeL0SQ529SZOMQSur2RY0aSVKbMoYw0QppG9HhwUdn5uHxD0Q@HIDDEN>
 <53848E86.1010301@HIDDEN>
 <CAAFMBVZL-pHPdo5LaiHQGJs8+5iFWjHZYT60zH55wRG2O7919g@HIDDEN>
 <5384C7FE.9010005@HIDDEN>
 <CAAeL0SRMeV67ZLyAXxyhcnYGPswyY4dmd_bBF-dTAxFN7ioirw@HIDDEN>
 <jwvtx8aoit5.fsf-monnier+emacsbugs@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Wed, 28 May 2014 06:55:02 +0200
Message-ID: <CAAeL0STpzNOvzFqNQp7Jm=jjDh_9568-Ta+4w+dLkvWJNziLhQ@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17589
Cc: martin rudalics <rudalics@HIDDEN>, Arash Cue <eg5cue@HIDDEN>,
 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Wed, May 28, 2014 at 2:22 AM, Stefan Monnier
<monnier@HIDDEN> wrote:

> Or to always save window-state in a "non-writable" form, and then
> provide a separate function to turn this into a writable form.  If we
> can always know right from the start if we'll write the window-state,
> then we don't need that, but if we may sometimes need a window-state
> which we may or may not later write to a file, then a separate function
> would be needed.

I thought of it, but then that "carries over" to framesets, and
suddenly you need a function to make a frameset writable, as they
would by default be non-writable (because, as this bug shows, you do
not know beforehand if you will want to write a frameset or not). Very
ugly, IMO.

    J




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 28 May 2014 04:51:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 28 00:51:41 2014
Received: from localhost ([127.0.0.1]:33913 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WpVq0-0005Pn-Os
	for submit <at> debbugs.gnu.org; Wed, 28 May 2014 00:51:41 -0400
Received: from mail-yh0-f47.google.com ([209.85.213.47]:32811)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1WpVpx-0005PO-Ah
 for 17589 <at> debbugs.gnu.org; Wed, 28 May 2014 00:51:38 -0400
Received: by mail-yh0-f47.google.com with SMTP id z6so8342047yhz.34
 for <17589 <at> debbugs.gnu.org>; Tue, 27 May 2014 21:51:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=nIWeij8ZpOCtD04R3BY7zn/vYhdP9JRJlbCHqtZR+8E=;
 b=o4hX64MMlix2JAgb+qRcF52iknkyZmQ0MspetO+wEGcnRTm1r1r5MuKNF4jIz2mFah
 tOgpG4fObfPf2GqKOLTzPBJHY0r5UT9QKQ3NimUdoMRouJ3dfrB4vcATSA3P5L+hONKi
 l8EZ7dFfpa4O6iSMaRHrF2ApgMpt7WIjLrnRO01b2TVbW7Hzwel1z0RF8cM3hcrFIB+A
 qlCF9UcCvs2KA+tXduFFmk9TVJU6KDocItZTpDzyUCeN3ZSof2A1h3YNcZjQBzWJY3sG
 p39lQDoBOPsLZjWHiXtIDT7FJPNRhS61JxBuN/Th5H+OUUmhHRomCjxHJl0dlERorPbn
 fvLA==
X-Received: by 10.236.226.101 with SMTP id a95mr48721923yhq.88.1401252691486; 
 Tue, 27 May 2014 21:51:31 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.170.127.66 with HTTP; Tue, 27 May 2014 21:50:51 -0700 (PDT)
In-Reply-To: <CAAFMBVYZxZ+zdw8r++vpDrE2c4YGDhpa9Ojxnr4qgjgSwkiseA@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
 <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
 <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
 <CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>
 <53843FF8.6040800@HIDDEN>
 <CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>
 <53845749.1000706@HIDDEN>
 <CAAeL0SQy6-GJsNfxEEGtpSZmv56QFkqkVa3DujKD+-x67=uqNg@HIDDEN>
 <5384642E.5060000@HIDDEN>
 <CAAeL0SQ529SZOMQSur2RY0aSVKbMoYw0QppG9HhwUdn5uHxD0Q@HIDDEN>
 <53848E86.1010301@HIDDEN>
 <CAAFMBVZL-pHPdo5LaiHQGJs8+5iFWjHZYT60zH55wRG2O7919g@HIDDEN>
 <5384C7FE.9010005@HIDDEN>
 <CAAeL0SRMeV67ZLyAXxyhcnYGPswyY4dmd_bBF-dTAxFN7ioirw@HIDDEN>
 <CAAFMBVYZxZ+zdw8r++vpDrE2c4YGDhpa9Ojxnr4qgjgSwkiseA@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Wed, 28 May 2014 06:50:51 +0200
Message-ID: <CAAeL0SRB4xBM6ZsR5ZEK0NWpUwisO7aFyo2VWQXKXB5=q-QDng@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
To: Arash Cue <eg5cue@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17589
Cc: martin rudalics <rudalics@HIDDEN>, 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Wed, May 28, 2014 at 2:16 AM, Arash Cue <eg5cue@HIDDEN> wrote:

> i applied these changes and it somehow fixed the issue but now i can't
> restore my frame configurations after saving and reading the session
> `desktop-save', `desktop-read'.

That's weird, because these changes do not affect deskop saving at all.

Did you apply Martin's change, or your reversed (and erroneous)
version of Martin's change?

    J




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 28 May 2014 00:22:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 27 20:22:22 2014
Received: from localhost ([127.0.0.1]:33820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WpRdO-0005Pb-07
	for submit <at> debbugs.gnu.org; Tue, 27 May 2014 20:22:22 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:21904)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WpRdK-0005PN-VI
 for 17589 <at> debbugs.gnu.org; Tue, 27 May 2014 20:22:20 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArYGAIDvNVNLd/fU/2dsb2JhbABZgwaDSr0vgw6BFxd0giUBAQEBAgFWIwULCw4mEhQYDSSIBAjSGReOegeEOASpGYFqg0wh
X-IPAS-Result: ArYGAIDvNVNLd/fU/2dsb2JhbABZgwaDSr0vgw6BFxd0giUBAQEBAgFWIwULCw4mEhQYDSSIBAjSGReOegeEOASpGYFqg0wh
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="64493877"
Received: from 75-119-247-212.dsl.teksavvy.com (HELO pastel.home)
 ([75.119.247.212])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 27 May 2014 20:22:13 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 36BAC60094; Tue, 27 May 2014 20:22:13 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
Message-ID: <jwvtx8aoit5.fsf-monnier+emacsbugs@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
 <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
 <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
 <CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>
 <53843FF8.6040800@HIDDEN>
 <CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>
 <53845749.1000706@HIDDEN>
 <CAAeL0SQy6-GJsNfxEEGtpSZmv56QFkqkVa3DujKD+-x67=uqNg@HIDDEN>
 <5384642E.5060000@HIDDEN>
 <CAAeL0SQ529SZOMQSur2RY0aSVKbMoYw0QppG9HhwUdn5uHxD0Q@HIDDEN>
 <53848E86.1010301@HIDDEN>
 <CAAFMBVZL-pHPdo5LaiHQGJs8+5iFWjHZYT60zH55wRG2O7919g@HIDDEN>
 <5384C7FE.9010005@HIDDEN>
 <CAAeL0SRMeV67ZLyAXxyhcnYGPswyY4dmd_bBF-dTAxFN7ioirw@HIDDEN>
Date: Tue, 27 May 2014 20:22:13 -0400
In-Reply-To: <CAAeL0SRMeV67ZLyAXxyhcnYGPswyY4dmd_bBF-dTAxFN7ioirw@HIDDEN>
 (Juanma Barranquero's message of "Wed, 28 May 2014 00:34:49 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17589
Cc: martin rudalics <rudalics@HIDDEN>, Arash Cue <eg5cue@HIDDEN>,
 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> Yep, that's the only way I see to solve this. That, or some horrible
> hack in frameset-to-register which I don't even want to start thinking
> about.

Or to always save window-state in a "non-writable" form, and then
provide a separate function to turn this into a writable form.  If we
can always know right from the start if we'll write the window-state,
then we don't need that, but if we may sometimes need a window-state
which we may or may not later write to a file, then a separate function
would be needed.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 28 May 2014 00:16:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 27 20:16:20 2014
Received: from localhost ([127.0.0.1]:33815 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WpRXY-0005G3-5l
	for submit <at> debbugs.gnu.org; Tue, 27 May 2014 20:16:20 -0400
Received: from mail-qg0-f47.google.com ([209.85.192.47]:41850)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eg5cue@HIDDEN>) id 1WpRXV-0005Fn-Um
 for 17589 <at> debbugs.gnu.org; Tue, 27 May 2014 20:16:18 -0400
Received: by mail-qg0-f47.google.com with SMTP id j107so15481150qga.6
 for <17589 <at> debbugs.gnu.org>; Tue, 27 May 2014 17:16:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=eeFR5KGioqxtJPHXyYId4LvEmng/PmRcOv9ApdF2h3g=;
 b=GsdxO2431wSQ7NnJIT7efoObDK9Le0ANeEWrRmPyqqRSLGQHACeVIREziURITVu+IZ
 PyaOWpvADNRVkEt0JeWq0sGHLEmMCcKM33nFP+2awBlu+PjQp7UaR4ImgQApQAvffvhV
 ZPx0nRBGuNzP9wjibWSZmrSirLGf3ks4q08z3sEHM/CD0AEicRso+6S6CCK5LMBuxPq+
 ARYbzFiKVkBFZZ+mKK+YdlQ1FrG1gIeXgm7RmKfbZZGK19KJ/KDG+2JKSec9KNg8cqkC
 h/s8ymZtPpCbHuP7QvLf1uF3iLEF1CsPk0DKU653L9GUDEKBN+O425Lz5YXgidwJuwPx
 SBSQ==
MIME-Version: 1.0
X-Received: by 10.224.51.72 with SMTP id c8mr48677763qag.82.1401236172327;
 Tue, 27 May 2014 17:16:12 -0700 (PDT)
Received: by 10.96.228.112 with HTTP; Tue, 27 May 2014 17:16:12 -0700 (PDT)
In-Reply-To: <CAAeL0SRMeV67ZLyAXxyhcnYGPswyY4dmd_bBF-dTAxFN7ioirw@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
 <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
 <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
 <CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>
 <53843FF8.6040800@HIDDEN>
 <CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>
 <53845749.1000706@HIDDEN>
 <CAAeL0SQy6-GJsNfxEEGtpSZmv56QFkqkVa3DujKD+-x67=uqNg@HIDDEN>
 <5384642E.5060000@HIDDEN>
 <CAAeL0SQ529SZOMQSur2RY0aSVKbMoYw0QppG9HhwUdn5uHxD0Q@HIDDEN>
 <53848E86.1010301@HIDDEN>
 <CAAFMBVZL-pHPdo5LaiHQGJs8+5iFWjHZYT60zH55wRG2O7919g@HIDDEN>
 <5384C7FE.9010005@HIDDEN>
 <CAAeL0SRMeV67ZLyAXxyhcnYGPswyY4dmd_bBF-dTAxFN7ioirw@HIDDEN>
Date: Wed, 28 May 2014 00:16:12 +0000
Message-ID: <CAAFMBVYZxZ+zdw8r++vpDrE2c4YGDhpa9Ojxnr4qgjgSwkiseA@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
From: Arash Cue <eg5cue@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Content-Type: multipart/alternative; boundary=089e0160bb6c4c50b204fa6ab8ba
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17589
Cc: martin rudalics <rudalics@HIDDEN>, 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

--089e0160bb6c4c50b204fa6ab8ba
Content-Type: text/plain; charset=UTF-8

i applied these changes and it somehow fixed the issue but now i can't
restore my frame configurations after saving and reading the session
`desktop-save', `desktop-read'.



On Tue, May 27, 2014 at 10:34 PM, Juanma Barranquero <lekktu@HIDDEN>wrote:

> On Tue, May 27, 2014 at 7:14 PM, martin rudalics <rudalics@HIDDEN> wrote:
>
> > Probably `frameset-save' could use a WRITABLE argument too (passing it
> > on to `window-state-get') and `frameset-to-register' would call
> > `frameset-save' with WRITABLE nil.
>
> Yep, that's the only way I see to solve this. That, or some horrible
> hack in frameset-to-register which I don't even want to start thinking
> about.
>
> Arash, could you please try with Martin's proposed change to window.el
> plus the attached patch to frameset.el?
>
> TIA,
>
>     J
>

--089e0160bb6c4c50b204fa6ab8ba
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>i applied these changes and it somehow fixed the issu=
e but now i can&#39;t restore my frame configurations after saving and read=
ing the session `desktop-save&#39;, `desktop-read&#39;.</div><div><br></div=
>
</div><div class=3D"gmail_extra"><br><br><div class=3D"gmail_quote">On Tue,=
 May 27, 2014 at 10:34 PM, Juanma Barranquero <span dir=3D"ltr">&lt;<a href=
=3D"mailto:lekktu@HIDDEN" target=3D"_blank">lekktu@HIDDEN</a>&gt;</sp=
an> wrote:<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex"><div class=3D"">On Tue, May 27, 2014 at 7:14=
 PM, martin rudalics &lt;<a href=3D"mailto:rudalics@HIDDEN">rudalics@HIDDEN=
</a>&gt; wrote:<br>

<br>
&gt; Probably `frameset-save&#39; could use a WRITABLE argument too (passin=
g it<br>
&gt; on to `window-state-get&#39;) and `frameset-to-register&#39; would cal=
l<br>
&gt; `frameset-save&#39; with WRITABLE nil.<br>
<br>
</div>Yep, that&#39;s the only way I see to solve this. That, or some horri=
ble<br>
hack in frameset-to-register which I don&#39;t even want to start thinking<=
br>
about.<br>
<br>
Arash, could you please try with Martin&#39;s proposed change to window.el<=
br>
plus the attached patch to frameset.el?<br>
<br>
TIA,<br>
<br>
=C2=A0 =C2=A0 J<br>
</blockquote></div><br></div>

--089e0160bb6c4c50b204fa6ab8ba--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 27 May 2014 22:35:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 27 18:35:40 2014
Received: from localhost ([127.0.0.1]:33771 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WpPy7-0002jH-UM
	for submit <at> debbugs.gnu.org; Tue, 27 May 2014 18:35:40 -0400
Received: from mail-yh0-f52.google.com ([209.85.213.52]:60844)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1WpPy3-0002j2-Ok
 for 17589 <at> debbugs.gnu.org; Tue, 27 May 2014 18:35:36 -0400
Received: by mail-yh0-f52.google.com with SMTP id z6so8051699yhz.11
 for <17589 <at> debbugs.gnu.org>; Tue, 27 May 2014 15:35:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=iV/9gTAO4Hel9/lKK5iKHKhmblJ9FtOhNKqv6UQqBh8=;
 b=oEMNjzrl/6jOIvEMUCOfowU5E1FATltt2y9QgzE3EHJ3rZPaQfXkvcxnDDhNEQ9mNM
 aXEWUWcxJl1RYS5chk19wVqKiPGlMjZY4GDy0b7qPi5FLgSJwELRzz7vB/c5t6LyNgHZ
 Ql5TkhuVN9PXi+SAIe9w2fYKiUJlkS1cbuWRskeiWjfQVB5NFijfBoRk5dEGv/7158Yn
 xd8pLw9Doy1vnipI7GHggvF45+9ixryTQIZspw8di9n7FY5PCAobVvJaY0vy+0/87lkk
 7E1dVlNuV2utrTNZW+3FdUpAL+qK+YDjP4haD2/Uzkqmfl2nkYadM6Hel6nc6JS23wig
 a2Pw==
X-Received: by 10.236.168.42 with SMTP id j30mr51278143yhl.101.1401230129989; 
 Tue, 27 May 2014 15:35:29 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.170.127.66 with HTTP; Tue, 27 May 2014 15:34:49 -0700 (PDT)
In-Reply-To: <5384C7FE.9010005@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
 <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
 <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
 <CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>
 <53843FF8.6040800@HIDDEN>
 <CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>
 <53845749.1000706@HIDDEN>
 <CAAeL0SQy6-GJsNfxEEGtpSZmv56QFkqkVa3DujKD+-x67=uqNg@HIDDEN>
 <5384642E.5060000@HIDDEN>
 <CAAeL0SQ529SZOMQSur2RY0aSVKbMoYw0QppG9HhwUdn5uHxD0Q@HIDDEN>
 <53848E86.1010301@HIDDEN>
 <CAAFMBVZL-pHPdo5LaiHQGJs8+5iFWjHZYT60zH55wRG2O7919g@HIDDEN>
 <5384C7FE.9010005@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Wed, 28 May 2014 00:34:49 +0200
Message-ID: <CAAeL0SRMeV67ZLyAXxyhcnYGPswyY4dmd_bBF-dTAxFN7ioirw@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
To: martin rudalics <rudalics@HIDDEN>
Content-Type: multipart/mixed; boundary=20cf305b13de25a22004fa695027
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17589
Cc: Arash Cue <eg5cue@HIDDEN>, Stefan Monnier <monnier@HIDDEN>,
 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--20cf305b13de25a22004fa695027
Content-Type: text/plain; charset=UTF-8

On Tue, May 27, 2014 at 7:14 PM, martin rudalics <rudalics@HIDDEN> wrote:

> Probably `frameset-save' could use a WRITABLE argument too (passing it
> on to `window-state-get') and `frameset-to-register' would call
> `frameset-save' with WRITABLE nil.

Yep, that's the only way I see to solve this. That, or some horrible
hack in frameset-to-register which I don't even want to start thinking
about.

Arash, could you please try with Martin's proposed change to window.el
plus the attached patch to frameset.el?

TIA,

    J

--20cf305b13de25a22004fa695027
Content-Type: text/plain; charset=US-ASCII; name="17589.diff"
Content-Disposition: attachment; filename="17589.diff"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_hvps6seg0
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--20cf305b13de25a22004fa695027--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 27 May 2014 17:14:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 27 13:14:56 2014
Received: from localhost ([127.0.0.1]:33605 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WpKxk-00028P-3l
	for submit <at> debbugs.gnu.org; Tue, 27 May 2014 13:14:56 -0400
Received: from mout.gmx.net ([212.227.17.20]:65159)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WpKxg-000284-Ou
 for 17589 <at> debbugs.gnu.org; Tue, 27 May 2014 13:14:53 -0400
Received: from [91.113.0.127] ([91.113.0.127]) by mail.gmx.com (mrgmx101) with
 ESMTPSA (Nemesis) id 0M0cs6-1WZBFr1ZU6-00urYe;
 Tue, 27 May 2014 19:14:45 +0200
Message-ID: <5384C7FE.9010005@HIDDEN>
Date: Tue, 27 May 2014 19:14:38 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Arash Cue <eg5cue@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
References: <w538uppwpmh.fsf@HIDDEN>	<CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>	<CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>	<CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>	<jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>	<CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>	<53843FF8.6040800@HIDDEN>	<CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>	<53845749.1000706@HIDDEN>	<CAAeL0SQy6-GJsNfxEEGtpSZmv56QFkqkVa3DujKD+-x67=uqNg@HIDDEN>	<5384642E.5060000@HIDDEN>	<CAAeL0SQ529SZOMQSur2RY0aSVKbMoYw0QppG9HhwUdn5uHxD0Q@HIDDEN>	<53848E86.1010301@HIDDEN>
 <CAAFMBVZL-pHPdo5LaiHQGJs8+5iFWjHZYT60zH55wRG2O7919g@HIDDEN>
In-Reply-To: <CAAFMBVZL-pHPdo5LaiHQGJs8+5iFWjHZYT60zH55wRG2O7919g@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:Jup0eOcJXSMhhrrYnNoDrh47spORqP89KKgvw2F77pQ3BTFJHpP
 mtCCKLsLoz5q64RRmddXNVyECxzBFwXtyEU9vctucVC/8TkKAOyaCPhbC610q9GkYql6ujh
 eY+7ELW0HTIGXIjImxHcRXU5B9qjixD4wwhR7z2FWy8fyo269EpZ3eUSOWqAX3ljjKv6AaL
 zVONkBh6wXa2f+8ylMkog==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17589
Cc: Juanma Barranquero <lekktu@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > (if writable (buffer-name buffer) buffer)
 > to
 > (if writable buffer (buffer-name buffer))
 > and it get fixed. ^_^

Because `frameset-save' calls `window-state-get' with WRITABLE t.
Probably `frameset-save' could use a WRITABLE argument too (passing it
on to `window-state-get') and `frameset-to-register' would call
`frameset-save' with WRITABLE nil.  IIUC this should fix your bug but
not the problem of restoring framesets from printed representations.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 27 May 2014 16:45:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 27 12:45:34 2014
Received: from localhost ([127.0.0.1]:33593 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WpKVF-0001PW-Dk
	for submit <at> debbugs.gnu.org; Tue, 27 May 2014 12:45:33 -0400
Received: from mail-qg0-f42.google.com ([209.85.192.42]:35688)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eg5cue@HIDDEN>) id 1WpKV6-0001PA-8C
 for 17589 <at> debbugs.gnu.org; Tue, 27 May 2014 12:45:24 -0400
Received: by mail-qg0-f42.google.com with SMTP id q107so14544823qgd.29
 for <17589 <at> debbugs.gnu.org>; Tue, 27 May 2014 09:45:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=TQ6/R8lDBEBBFu/oSDeKV75QBm2UhERLgGKmrbX8Cmk=;
 b=Q9jkzDvtNuGkTVGoU6jD5SbMTh8MKlvX2sW3GwYPwXb2HSurPpQ073M+NM86lpM3v6
 rmez91P/OHJ9wxbeZKLPuHWsRswNhtrpKMdUZ5S2ow1vk7UBb/ZLnldfDow5hlK18N9D
 uPVoA0UCHgW8L08WYdmDoyubd+YXt/XL9+nYsZ72MIEMyR0KAercVqBkYvqazJ9I0wze
 SskC1+i/5YIWKxY6RXZ+mC4peT94z4uKMcv+084Jae8XOvZiGoHAnUGnTfPUe4H+ktb5
 YDsREiENdtfFBBHGrcHxYK7XbIekjbqgX4sCXWNHcH0bl2dRk/7YuSC1gKUrT6QwngCr
 iVZw==
MIME-Version: 1.0
X-Received: by 10.140.49.76 with SMTP id p70mr41239344qga.86.1401209114355;
 Tue, 27 May 2014 09:45:14 -0700 (PDT)
Received: by 10.96.228.112 with HTTP; Tue, 27 May 2014 09:45:14 -0700 (PDT)
In-Reply-To: <53848E86.1010301@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
 <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
 <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
 <CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>
 <53843FF8.6040800@HIDDEN>
 <CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>
 <53845749.1000706@HIDDEN>
 <CAAeL0SQy6-GJsNfxEEGtpSZmv56QFkqkVa3DujKD+-x67=uqNg@HIDDEN>
 <5384642E.5060000@HIDDEN>
 <CAAeL0SQ529SZOMQSur2RY0aSVKbMoYw0QppG9HhwUdn5uHxD0Q@HIDDEN>
 <53848E86.1010301@HIDDEN>
Date: Tue, 27 May 2014 16:45:14 +0000
Message-ID: <CAAFMBVZL-pHPdo5LaiHQGJs8+5iFWjHZYT60zH55wRG2O7919g@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
From: Arash Cue <eg5cue@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Content-Type: multipart/alternative; boundary=001a11370a34856fd004fa646bf5
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17589
Cc: Juanma Barranquero <lekktu@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

--001a11370a34856fd004fa646bf5
Content-Type: text/plain; charset=UTF-8

i changed this line
(if writable (buffer-name buffer) buffer)
to
(if writable buffer (buffer-name buffer))
and it get fixed. ^_^


On Tue, May 27, 2014 at 1:09 PM, martin rudalics <rudalics@HIDDEN> wrote:

> >> If the WRITABLE argument of `window-state-get' is non-nil use the
> >> buffer name and the buffer object otherwise.
> >
> > Oh, I see. Yes, that makes sense.
>
> Could you test it?
>
>
> --- lisp/window.el      2014-05-25 10:06:35 +0000
> +++ lisp/window.el      2014-05-27 12:57:50 +0000
> @@ -4875,7 +4875,7 @@
>                 (let ((point (window-point window))
>                       (start (window-start window)))
>                   `((buffer
> -                    ,(buffer-name buffer)
> +                    ,(if writable (buffer-name buffer) buffer)
>                      (selected . ,selected)
>                      (hscroll . ,(window-hscroll window))
>                      (fringes . ,(window-fringes window))
>
>
> martin
>

--001a11370a34856fd004fa646bf5
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">i changed this line<div><span style=3D"font-family:arial,s=
ans-serif;font-size:13px">(if writable (buffer-name buffer) buffer)</span><=
br></div><div><span style=3D"font-family:arial,sans-serif;font-size:13px">t=
o</span></div>
<div><span style=3D"font-family:arial,sans-serif;font-size:13px">(if writab=
le buffer (buffer-name buffer))</span><span style=3D"font-family:arial,sans=
-serif;font-size:13px"><br></span></div><div><span style=3D"font-family:ari=
al,sans-serif;font-size:13px">and it get fixed. ^_^</span></div>
</div><div class=3D"gmail_extra"><br><br><div class=3D"gmail_quote">On Tue,=
 May 27, 2014 at 1:09 PM, martin rudalics <span dir=3D"ltr">&lt;<a href=3D"=
mailto:rudalics@HIDDEN" target=3D"_blank">rudalics@HIDDEN</a>&gt;</span> wr=
ote:<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex"><div class=3D"">&gt;&gt; If the WRITABLE arg=
ument of `window-state-get&#39; is non-nil use the<br>
&gt;&gt; buffer name and the buffer object otherwise.<br>
&gt;<br>
&gt; Oh, I see. Yes, that makes sense.<br>
<br></div>
Could you test it?<br>
<br>
<br>
--- lisp/window.el =C2=A0 =C2=A0 =C2=A02014-05-25 10:06:35 +0000<br>
+++ lisp/window.el =C2=A0 =C2=A0 =C2=A02014-05-27 12:57:50 +0000<br>
@@ -4875,7 +4875,7 @@<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (let ((point (windo=
w-point window))<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 (start (window-start window)))<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 `((buffer<br=
>
- =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0,(bu=
ffer-name buffer)<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0,(if=
 writable (buffer-name buffer) buffer)<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0(selected . ,selected)<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0(hscroll . ,(window-hscroll window))<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0(fringes . ,(window-fringes window))<span class=3D"HOEnZb"><font color=
=3D"#888888"><br>
<br>
<br>
martin<br>
</font></span></blockquote></div><br></div>

--001a11370a34856fd004fa646bf5--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 27 May 2014 13:31:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 27 09:31:08 2014
Received: from localhost ([127.0.0.1]:33102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WpHT9-0003as-PD
	for submit <at> debbugs.gnu.org; Tue, 27 May 2014 09:31:08 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:23905)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WpHT6-0003aL-MC
 for 17589 <at> debbugs.gnu.org; Tue, 27 May 2014 09:31:05 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArYGAIDvNVNLd/fU/2dsb2JhbABZgwaDSr0vgw6BFxd0giUBAQEBAgFWIwULCw4mEhQYDSSIBAjSGReOegeEOASpGYFqg0wh
X-IPAS-Result: ArYGAIDvNVNLd/fU/2dsb2JhbABZgwaDSr0vgw6BFxd0giUBAQEBAgFWIwULCw4mEhQYDSSIBAjSGReOegeEOASpGYFqg0wh
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="64368062"
Received: from 75-119-247-212.dsl.teksavvy.com (HELO pastel.home)
 ([75.119.247.212])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 27 May 2014 09:30:59 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id DD3246046C; Tue, 27 May 2014 09:30:58 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
Message-ID: <jwva9a3qrgo.fsf-monnier+emacsbugs@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
 <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
 <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
 <CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>
 <53843FF8.6040800@HIDDEN>
 <CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>
 <53845749.1000706@HIDDEN>
 <CAAeL0SQy6-GJsNfxEEGtpSZmv56QFkqkVa3DujKD+-x67=uqNg@HIDDEN>
 <5384642E.5060000@HIDDEN>
 <CAAeL0SQ529SZOMQSur2RY0aSVKbMoYw0QppG9HhwUdn5uHxD0Q@HIDDEN>
 <53848E86.1010301@HIDDEN>
 <CAAeL0SR=FXnNoo6sQAmSoW-buKtdc=d7yj6eAnNoRSgjLVjV2Q@HIDDEN>
Date: Tue, 27 May 2014 09:30:58 -0400
In-Reply-To: <CAAeL0SR=FXnNoo6sQAmSoW-buKtdc=d7yj6eAnNoRSgjLVjV2Q@HIDDEN>
 (Juanma Barranquero's message of "Tue, 27 May 2014 15:11:45 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17589
Cc: martin rudalics <rudalics@HIDDEN>, Arash Cue <eg5cue@HIDDEN>,
 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> I don't have access to Emacs right now.

Call 911!


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 27 May 2014 13:12:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 27 09:12:00 2014
Received: from localhost ([127.0.0.1]:33092 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WpHAZ-000360-RR
	for submit <at> debbugs.gnu.org; Tue, 27 May 2014 09:11:59 -0400
Received: from mail-yk0-f180.google.com ([209.85.160.180]:39790)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1WpHAU-00035g-Tz
 for 17589 <at> debbugs.gnu.org; Tue, 27 May 2014 09:11:55 -0400
Received: by mail-yk0-f180.google.com with SMTP id q9so7004759ykb.39
 for <17589 <at> debbugs.gnu.org>; Tue, 27 May 2014 06:11:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=fx4hYTZRR9ypWsakjQeh/vUduITeSzC9WS7iD8dT6b4=;
 b=ZNpUH1UiQ/c+g3xK7JMJBJyR66DNlbUan3Skdv87bUC4ZMynwwzxLSKbhXedo1KJkq
 +PJBtMacGyzG45xgl/O3nt9Xs9XI16YrY/iIvu/dejYuo1nr0nQ+p8OSp/8P6tUj82IB
 jcjoa7tbE7ESTuoOewe9ZXgWQ4+t+oyNbqGJ4P7kg17GFhF85jwwXWWreip5xnTpypid
 W002UPB23yRrrOP7e42vKloZI5IR39R4agu9SDlFQhr5ahzPAtyyPM+PYVN/qpKfAYJX
 ifoAkeSJG8qqekNb44IeL8dZ0HcqfoFbIljPE0rwUCd/noV+KjePePy3kIYWjuW4+LlE
 vVOQ==
MIME-Version: 1.0
X-Received: by 10.236.168.42 with SMTP id j30mr46756191yhl.101.1401196305133; 
 Tue, 27 May 2014 06:11:45 -0700 (PDT)
Received: by 10.170.127.66 with HTTP; Tue, 27 May 2014 06:11:45 -0700 (PDT)
Received: by 10.170.127.66 with HTTP; Tue, 27 May 2014 06:11:45 -0700 (PDT)
In-Reply-To: <53848E86.1010301@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
 <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
 <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
 <CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>
 <53843FF8.6040800@HIDDEN>
 <CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>
 <53845749.1000706@HIDDEN>
 <CAAeL0SQy6-GJsNfxEEGtpSZmv56QFkqkVa3DujKD+-x67=uqNg@HIDDEN>
 <5384642E.5060000@HIDDEN>
 <CAAeL0SQ529SZOMQSur2RY0aSVKbMoYw0QppG9HhwUdn5uHxD0Q@HIDDEN>
 <53848E86.1010301@HIDDEN>
Date: Tue, 27 May 2014 15:11:45 +0200
Message-ID: <CAAeL0SR=FXnNoo6sQAmSoW-buKtdc=d7yj6eAnNoRSgjLVjV2Q@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
From: Juanma Barranquero <lekktu@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Content-Type: multipart/alternative; boundary=20cf305b13de07389704fa6170dc
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17589
Cc: Arash Cue <eg5cue@HIDDEN>, Stefan Monnier <monnier@HIDDEN>,
 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--20cf305b13de07389704fa6170dc
Content-Type: text/plain; charset=UTF-8

On May 27, 2014 3:09 PM, "martin rudalics" <rudalics@HIDDEN> wrote:

> Could you test it?

Yes, tonight. I don't have access to Emacs right now.

    J

--20cf305b13de07389704fa6170dc
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<p dir=3D"ltr"><br>
On May 27, 2014 3:09 PM, &quot;martin rudalics&quot; &lt;<a href=3D"mailto:=
rudalics@HIDDEN">rudalics@HIDDEN</a>&gt; wrote:</p>
<p dir=3D"ltr">&gt; Could you test it?</p>
<p dir=3D"ltr">Yes, tonight. I don&#39;t have access to Emacs right now. </=
p>
<p dir=3D"ltr">=C2=A0=C2=A0=C2=A0 J</p>

--20cf305b13de07389704fa6170dc--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 27 May 2014 13:09:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 27 09:09:52 2014
Received: from localhost ([127.0.0.1]:33084 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WpH8V-000327-Pq
	for submit <at> debbugs.gnu.org; Tue, 27 May 2014 09:09:52 -0400
Received: from mout.gmx.net ([212.227.17.22]:55776)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WpH8P-00031o-Dy
 for 17589 <at> debbugs.gnu.org; Tue, 27 May 2014 09:09:46 -0400
Received: from [91.113.0.127] ([91.113.0.127]) by mail.gmx.com (mrgmx002) with
 ESMTPSA (Nemesis) id 0MHHZT-1X3Lln2Lat-00E9Du;
 Tue, 27 May 2014 15:09:32 +0200
Message-ID: <53848E86.1010301@HIDDEN>
Date: Tue, 27 May 2014 15:09:26 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
References: <w538uppwpmh.fsf@HIDDEN>	<CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>	<CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>	<CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>	<jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>	<CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>	<53843FF8.6040800@HIDDEN>	<CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>	<53845749.1000706@HIDDEN>	<CAAeL0SQy6-GJsNfxEEGtpSZmv56QFkqkVa3DujKD+-x67=uqNg@HIDDEN>	<5384642E.5060000@HIDDEN>
 <CAAeL0SQ529SZOMQSur2RY0aSVKbMoYw0QppG9HhwUdn5uHxD0Q@HIDDEN>
In-Reply-To: <CAAeL0SQ529SZOMQSur2RY0aSVKbMoYw0QppG9HhwUdn5uHxD0Q@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:AR99rbbicVbCdKO+B07KP8fELm3EBEbjvPG229QUh5Iset/uU/b
 GVkfXc/HvrQ2Stz1n1g5u/axEVckLRy4tSGeZRds4TwolFaOSeZ0BE+3s7USg+IpdIgBqzL
 jYk/2xCGRYM64mGQnxehkOSb4tnWG/DpAdXCxzwK2nQitaI+zwH1SAvKwNQwDVF3GM5kvJC
 WMFQ/Mi48qL6pjhtIhEZg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17589
Cc: Arash Cue <eg5cue@HIDDEN>, Stefan Monnier <monnier@HIDDEN>,
 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 >> If the WRITABLE argument of `window-state-get' is non-nil use the
 >> buffer name and the buffer object otherwise.
 >
 > Oh, I see. Yes, that makes sense.

Could you test it?


--- lisp/window.el	2014-05-25 10:06:35 +0000
+++ lisp/window.el	2014-05-27 12:57:50 +0000
@@ -4875,7 +4875,7 @@
  		(let ((point (window-point window))
  		      (start (window-start window)))
  		  `((buffer
-		     ,(buffer-name buffer)
+		     ,(if writable (buffer-name buffer) buffer)
  		     (selected . ,selected)
  		     (hscroll . ,(window-hscroll window))
  		     (fringes . ,(window-fringes window))


martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 27 May 2014 10:53:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 27 06:53:44 2014
Received: from localhost ([127.0.0.1]:33041 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WpF0p-0006jx-Qo
	for submit <at> debbugs.gnu.org; Tue, 27 May 2014 06:53:44 -0400
Received: from mail-yk0-f172.google.com ([209.85.160.172]:49536)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1WpF0o-0006jl-6J
 for 17589 <at> debbugs.gnu.org; Tue, 27 May 2014 06:53:43 -0400
Received: by mail-yk0-f172.google.com with SMTP id 79so6931661ykr.3
 for <17589 <at> debbugs.gnu.org>; Tue, 27 May 2014 03:53:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=Th2QFKmbQPsPAKHyolTS7k0vIIChYg2mgKLscMIfJwM=;
 b=Q2kfUGPbJ6/Hp65MVOH9FoQh7Q4ZKVSfnaWEjRRUGXwlP0WAEmILl3sJOOZlavbR/P
 frCHFIcDOupBRhtsUJQtqapQusJcZTtDNKDyQH5T8BPXcON/V0JP6u0EvTkAfGKrVD0N
 xf/2FBfgzc+gPn4boheRUc/VZOrA+Aeito09kO3UwSxinYCuTNxgdtZPbtp1hiwZjDU5
 a5xguMVTym1FdUxMKXTWxsKzZWPl0i85GroRHGexWhbWxp9rIlZts5DkKjrXqEUS0tQ/
 9LBDhZ0mJ/Qw9ikLUgAZp2NwUq6uv+bLvY44O87U3L7S7gxUXG5fM2WVT0YOU4NsSnm8
 PKCA==
MIME-Version: 1.0
X-Received: by 10.236.124.237 with SMTP id x73mr12251834yhh.137.1401188016204; 
 Tue, 27 May 2014 03:53:36 -0700 (PDT)
Received: by 10.170.127.66 with HTTP; Tue, 27 May 2014 03:53:35 -0700 (PDT)
Received: by 10.170.127.66 with HTTP; Tue, 27 May 2014 03:53:35 -0700 (PDT)
In-Reply-To: <5384642E.5060000@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
 <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
 <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
 <CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>
 <53843FF8.6040800@HIDDEN>
 <CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>
 <53845749.1000706@HIDDEN>
 <CAAeL0SQy6-GJsNfxEEGtpSZmv56QFkqkVa3DujKD+-x67=uqNg@HIDDEN>
 <5384642E.5060000@HIDDEN>
Date: Tue, 27 May 2014 12:53:35 +0200
Message-ID: <CAAeL0SQ529SZOMQSur2RY0aSVKbMoYw0QppG9HhwUdn5uHxD0Q@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
From: Juanma Barranquero <lekktu@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Content-Type: multipart/alternative; boundary=20cf303a332bf8332f04fa5f81f6
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17589
Cc: Arash Cue <eg5cue@HIDDEN>, Stefan Monnier <monnier@HIDDEN>,
 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--20cf303a332bf8332f04fa5f81f6
Content-Type: text/plain; charset=UTF-8

On May 27, 2014 12:09 PM, "martin rudalics" <rudalics@HIDDEN> wrote:

> If the WRITABLE argument of `window-state-get' is non-nil use the
> buffer name and the buffer object otherwise.

Oh, I see. Yes, that makes sense.

--20cf303a332bf8332f04fa5f81f6
Content-Type: text/html; charset=UTF-8

<p dir="ltr"><br>
On May 27, 2014 12:09 PM, &quot;martin rudalics&quot; &lt;<a href="mailto:rudalics@HIDDEN">rudalics@HIDDEN</a>&gt; wrote:<br>
 <br>
&gt; If the WRITABLE argument of `window-state-get&#39; is non-nil use the<br>
&gt; buffer name and the buffer object otherwise.</p>
<p dir="ltr">Oh, I see. Yes, that makes sense.<br>
</p>

--20cf303a332bf8332f04fa5f81f6--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 27 May 2014 10:09:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 27 06:09:12 2014
Received: from localhost ([127.0.0.1]:33019 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WpEJf-0005S6-3r
	for submit <at> debbugs.gnu.org; Tue, 27 May 2014 06:09:12 -0400
Received: from mout.gmx.net ([212.227.17.20]:57172)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WpEJY-0005RX-DM
 for 17589 <at> debbugs.gnu.org; Tue, 27 May 2014 06:09:05 -0400
Received: from [91.113.0.127] ([91.113.0.127]) by mail.gmx.com (mrgmx003) with
 ESMTPSA (Nemesis) id 0MgtWa-1XBB2a3C0u-00M85Z;
 Tue, 27 May 2014 12:08:52 +0200
Message-ID: <5384642E.5060000@HIDDEN>
Date: Tue, 27 May 2014 12:08:46 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
References: <w538uppwpmh.fsf@HIDDEN>	<CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>	<CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>	<CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>	<jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>	<CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>	<53843FF8.6040800@HIDDEN>	<CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>	<53845749.1000706@HIDDEN>
 <CAAeL0SQy6-GJsNfxEEGtpSZmv56QFkqkVa3DujKD+-x67=uqNg@HIDDEN>
In-Reply-To: <CAAeL0SQy6-GJsNfxEEGtpSZmv56QFkqkVa3DujKD+-x67=uqNg@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:CBQ1qZ9gxq6U0mEpP37vxHozr3BBZalp+2V434wvsdaoPmLiCla
 +h6nng3jf0+xQ7oBjNbVcfqWKU4IFQkq5dQUPv4Gohf2DQDIZy/0A3ivz8QYsVa+t1MH6WI
 7CjVSRsBwjFaTaz6JXIVDh8QpKoORqFOTdFraGEs84PDbnDWVwEpKqFItIBVDmOoJh+rHYz
 JVPgRWYpFWbFbURzCnDCg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17589
Cc: Arash Cue <eg5cue@HIDDEN>, Stefan Monnier <monnier@HIDDEN>,
 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 >> WRITABLE?
 >
 > Not sure what you mean here.

If the WRITABLE argument of `window-state-get' is non-nil use the
buffer name and the buffer object otherwise.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 27 May 2014 09:40:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 27 05:40:49 2014
Received: from localhost ([127.0.0.1]:32994 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WpDsC-0004Yd-GY
	for submit <at> debbugs.gnu.org; Tue, 27 May 2014 05:40:49 -0400
Received: from mail-yk0-f171.google.com ([209.85.160.171]:40949)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1WpDs6-0004YG-BM
 for 17589 <at> debbugs.gnu.org; Tue, 27 May 2014 05:40:39 -0400
Received: by mail-yk0-f171.google.com with SMTP id 142so6899577ykq.30
 for <17589 <at> debbugs.gnu.org>; Tue, 27 May 2014 02:40:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=rvgM4jdFVSqaPHoNqmfXjIHQScvyGqMYbf/7JKMT8Dc=;
 b=RIGeTOGypkjzDTEKabnFq6ht6nY1S5EaxnS2QXszoLm7KnHItT3pfC4vTmvr2CFd9P
 kO0TicelFqPMwlBK2gRKh9qFjMucy5Fl/ZyLJx4LoSbpKRtC7YCqpbIryhsXnWH0ehQK
 /1soP60qeP0D5LAQI0FcZ/ttBrg39bkJU2zchgfQLk/xvoBhvGa1GpZQT+4WBBHZfvzs
 hzdfLMuRHU8vnvD287JJODQq1DiNbaUEWKuiHk/cFmk/eIuYE0dad7RoIkm6YwKjJO/j
 FyV/f3zpsSk4ixY3CLUFGkmakM+UFvAFzNog2JUrRPoMUKUofxf5GotosX6D+eCvruDQ
 fXOQ==
MIME-Version: 1.0
X-Received: by 10.236.70.101 with SMTP id o65mr12433498yhd.114.1401183632484; 
 Tue, 27 May 2014 02:40:32 -0700 (PDT)
Received: by 10.170.127.66 with HTTP; Tue, 27 May 2014 02:40:32 -0700 (PDT)
Received: by 10.170.127.66 with HTTP; Tue, 27 May 2014 02:40:32 -0700 (PDT)
In-Reply-To: <53845749.1000706@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
 <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
 <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
 <CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>
 <53843FF8.6040800@HIDDEN>
 <CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>
 <53845749.1000706@HIDDEN>
Date: Tue, 27 May 2014 11:40:32 +0200
Message-ID: <CAAeL0SQy6-GJsNfxEEGtpSZmv56QFkqkVa3DujKD+-x67=uqNg@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
From: Juanma Barranquero <lekktu@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Content-Type: multipart/alternative; boundary=089e01681f5eadf03c04fa5e7ca9
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17589
Cc: Arash Cue <eg5cue@HIDDEN>, Stefan Monnier <monnier@HIDDEN>,
 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--089e01681f5eadf03c04fa5e7ca9
Content-Type: text/plain; charset=UTF-8

On May 27, 2014 11:14 AM, "martin rudalics" <rudalics@HIDDEN> wrote:

> Yes.  I meant that in the line before.

OK

> WRITABLE?

Not sure what you mean here.

> Wouldn't `get-buffer' in `window-state-put-2' handle that already?

Likely, yes.

    J

--089e01681f5eadf03c04fa5e7ca9
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<p dir=3D"ltr"><br>
On May 27, 2014 11:14 AM, &quot;martin rudalics&quot; &lt;<a href=3D"mailto=
:rudalics@HIDDEN">rudalics@HIDDEN</a>&gt; wrote:</p>
<p dir=3D"ltr">&gt; Yes. =C2=A0I meant that in the line before.</p>
<p dir=3D"ltr">OK</p>
<p dir=3D"ltr">&gt; WRITABLE?</p>
<p dir=3D"ltr">Not sure what you mean here.</p>
<p dir=3D"ltr">&gt; Wouldn&#39;t `get-buffer&#39; in `window-state-put-2&#3=
9; handle that already?</p>
<p dir=3D"ltr">Likely, yes.</p>
<p dir=3D"ltr">=C2=A0=C2=A0=C2=A0 J</p>

--089e01681f5eadf03c04fa5e7ca9--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 27 May 2014 09:14:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 27 05:14:12 2014
Received: from localhost ([127.0.0.1]:32953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WpDSV-0003o6-VU
	for submit <at> debbugs.gnu.org; Tue, 27 May 2014 05:14:12 -0400
Received: from mout.gmx.net ([212.227.17.20]:60297)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WpDST-0003nn-3s
 for 17589 <at> debbugs.gnu.org; Tue, 27 May 2014 05:14:10 -0400
Received: from [91.113.0.127] ([91.113.0.127]) by mail.gmx.com (mrgmx101) with
 ESMTPSA (Nemesis) id 0MYsEZ-1XKmfi0pAx-00Vk7g;
 Tue, 27 May 2014 11:14:01 +0200
Message-ID: <53845749.1000706@HIDDEN>
Date: Tue, 27 May 2014 11:13:45 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
References: <w538uppwpmh.fsf@HIDDEN>	<CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>	<CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>	<CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>	<jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>	<CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>	<53843FF8.6040800@HIDDEN>
 <CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>
In-Reply-To: <CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:HxCvXxOrTc/yZqgTzI6wHbRG5rRGkLEWtXOOuMQJMwJY4cXjYHZ
 loG4rBjYiM6n5IPydE8GuuvRt3004WgZq2uUWOSF76w0POcsGixLoMJNVBGqEv+D/RYQYoN
 u00DlgerBsSx6RROkjwn8/uEhSCcrpAerk5PXc9/JcQQmb/PR2nOiJtzd9UQRmPG5j3AcZy
 qE8se8ZmJvnCCYFBCI5Ag==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17589
Cc: Arash Cue <eg5cue@HIDDEN>, Stefan Monnier <monnier@HIDDEN>,
 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 >>   We probably want a more general
 >> solution in desktop.el to restore the connection between files visited
 >> and the names of the respective buffers in some unified manner.
 >
 > That won't help in this particular case, where buffers are live in the same
 > session, just renamed since the call to window-state-get, and desktop.el
 > isn't involved at all.

Yes.  I meant that in the line before.

 > I think we'd need an optional arg to w-s-g to use in live sessions

WRITABLE?

 > , where
 > it would store refs to live buffers instead of their names (and code in
 > w-s-p to deal with it, of course).

Wouldn't `get-buffer' in `window-state-put-2' handle that already?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 27 May 2014 08:32:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 27 04:32:53 2014
Received: from localhost ([127.0.0.1]:32947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WpCoS-0002Qf-K5
	for submit <at> debbugs.gnu.org; Tue, 27 May 2014 04:32:52 -0400
Received: from mail-yk0-f171.google.com ([209.85.160.171]:33669)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1WpCoN-0002QJ-2L
 for 17589 <at> debbugs.gnu.org; Tue, 27 May 2014 04:32:47 -0400
Received: by mail-yk0-f171.google.com with SMTP id 142so6856943ykq.30
 for <17589 <at> debbugs.gnu.org>; Tue, 27 May 2014 01:32:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=Bl8FDBR4MmdZK2Ne74YPdvKRltf6oNB9VsZ7fzZxYMc=;
 b=q+aufDthLs8dqwaOIx/n9nI782dtd4u2EBd6XzQi9MzQ5L82wlE9cJTJFoFwirkKAl
 3FUEAyGSEte23SbWTABXhgm1QrYoLwOaUq6N3FuDYPlUv6pmnl75s1AsOwLanF5szIzY
 uzQUKEGMDjuGupcka+l10TG/MmriT4lR2Tez+sjLLqtTdv7jv37ltziptB77Rb4l8wsh
 YzJZoVeXSHK+hG327+lDXdI7M4KLV6r2xVZBoj9iy1egf/YQqYAGfPjAiIhHL9+obCqy
 bO/PSzieatLKu+qR4EHMowzn5kih93Wo79YpV+5tlQrjINcr4TkSUIBjOfUyVA1F4/B0
 t1Ww==
MIME-Version: 1.0
X-Received: by 10.236.61.45 with SMTP id v33mr44090163yhc.20.1401179557438;
 Tue, 27 May 2014 01:32:37 -0700 (PDT)
Received: by 10.170.127.66 with HTTP; Tue, 27 May 2014 01:32:37 -0700 (PDT)
Received: by 10.170.127.66 with HTTP; Tue, 27 May 2014 01:32:37 -0700 (PDT)
In-Reply-To: <53843FF8.6040800@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
 <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
 <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
 <CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>
 <53843FF8.6040800@HIDDEN>
Date: Tue, 27 May 2014 10:32:37 +0200
Message-ID: <CAAeL0SROygOpXoenTeQyo-A_FqZ2_6bLSju3mpAT6BsmQREYug@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
From: Juanma Barranquero <lekktu@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Content-Type: multipart/alternative; boundary=089e0160a73cc9ab3104fa5d89e9
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17589
Cc: Arash Cue <eg5cue@HIDDEN>, Stefan Monnier <monnier@HIDDEN>,
 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--089e0160a73cc9ab3104fa5d89e9
Content-Type: text/plain; charset=UTF-8

On May 27, 2014 9:34 AM, "martin rudalics" <rudalics@HIDDEN> wrote:

>  We probably want a more general
> solution in desktop.el to restore the connection between files visited
> and the names of the respective buffers in some unified manner.

That won't help in this particular case, where buffers are live in the same
session, just renamed since the call to window-state-get, and desktop.el
isn't involved at all.

I think we'd need an optional arg to w-s-g to use in live sessions, where
it would store refs to live buffers instead of their names (and code in
w-s-p to deal with it, of course).

--089e0160a73cc9ab3104fa5d89e9
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<p dir=3D"ltr"><br>
On May 27, 2014 9:34 AM, &quot;martin rudalics&quot; &lt;<a href=3D"mailto:=
rudalics@HIDDEN">rudalics@HIDDEN</a>&gt; wrote:</p>
<p dir=3D"ltr">&gt; =C2=A0We probably want a more general<br>
&gt; solution in desktop.el to restore the connection between files visited=
<br>
&gt; and the names of the respective buffers in some unified manner.</p>
<p dir=3D"ltr">That won&#39;t help in this particular case, where buffers a=
re live in the same session, just renamed since the call to window-state-ge=
t, and desktop.el isn&#39;t involved at all.</p>
<p dir=3D"ltr">I think we&#39;d need an optional arg to w-s-g to use in liv=
e sessions, where it would store refs to live buffers instead of their name=
s (and code in w-s-p to deal with it, of course).<br>
</p>

--089e0160a73cc9ab3104fa5d89e9--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 27 May 2014 07:34:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 27 03:34:35 2014
Received: from localhost ([127.0.0.1]:32915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WpBu6-0000Wp-IE
	for submit <at> debbugs.gnu.org; Tue, 27 May 2014 03:34:34 -0400
Received: from mout.gmx.net ([212.227.15.15]:63016)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WpBu3-0000WT-OE
 for 17589 <at> debbugs.gnu.org; Tue, 27 May 2014 03:34:32 -0400
Received: from [91.113.0.127] ([91.113.0.127]) by mail.gmx.com (mrgmx003) with
 ESMTPSA (Nemesis) id 0MDyFr-1X4Nnr1PG3-00HQMR;
 Tue, 27 May 2014 09:34:24 +0200
Message-ID: <53843FF8.6040800@HIDDEN>
Date: Tue, 27 May 2014 09:34:16 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Juanma Barranquero <lekktu@HIDDEN>, 
 Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
 <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
 <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
 <CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>
In-Reply-To: <CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:deFCSPYGU2ntI5Ba+1Bm/CQbaLikWiKFqPRggvNtIMDkWExVtKe
 mKtk9TQd4Ntq8EeB0g0g4LanNv0qT66mKcyazgPcSnOi98APInaa+CIdC4xKGKkKgSPtJDJ
 zAbiZ/Ay+sN9AX1VYtseUzp/zCzh6E1K5XwTFE4/1SvxDBeVLcnAdoupTN1BPf5G/aQznUW
 prk5DgE/fj3W4fsGjyYQQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17589
Cc: Arash Cue <eg5cue@HIDDEN>, 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 >> Saving buffer names is indeed a problem.  I think we should try and
 >> remember the actual buffer whenever possible (i.e. until we want to
 >> print the object)

Indeed.  This would help when buffers get renamed in between.

 > and when printing, we should try and print
 >> a description of the buffer, e.g. its file-name if it's visiting a file
 >
 > Framesets treat window states (from window-state-get) as opaque
 > objects. I'm not sure what kind of changes would be required (in the
 > window state's API, I mean, not framesets) to implement what you
 > suggest.

Currently `window-state-put' relies on buffer files names restored to
their pre-`window-state-put' values.  We probably want a more general
solution in desktop.el to restore the connection between files visited
and the names of the respective buffers in some unified manner.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 26 May 2014 20:43:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 26 16:43:39 2014
Received: from localhost ([127.0.0.1]:60784 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wp1kA-0002z7-Jt
	for submit <at> debbugs.gnu.org; Mon, 26 May 2014 16:43:38 -0400
Received: from mail-yk0-f179.google.com ([209.85.160.179]:45133)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1Wp1k6-0002ya-39
 for 17589 <at> debbugs.gnu.org; Mon, 26 May 2014 16:43:35 -0400
Received: by mail-yk0-f179.google.com with SMTP id 19so6417333ykq.10
 for <17589 <at> debbugs.gnu.org>; Mon, 26 May 2014 13:43:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=8VgO7wr+RhKcGQxj5RxII5BjCekBJRs9t2pFygDavQs=;
 b=pAYnp7EgK9dMAza9COKVFqIFPiWU1mMza2Jn4cx43KCXH83a4vCM9RgMkDGDQsvIU0
 zlADmiAreQULjauFe4ahtX8VZhLUXN+Z/SHZ7JqF2DHnS5l4084Dg/A3B4+bGyZ4QUIo
 sH0DXU8uN4fToOLZBpiGOewhln0YrDvsOoAv/v2qUqlCjob+ieovLvYxxVw9MVu/EGMD
 Ms8vroA8+g4z4M1eSbnFaFqEA9umycwXTBM00YDgGHoeeLxR4vK6sGgZCVmkaVHIZKIG
 NAyAWqdYBzyhftKAxbFoOQ2S5UaWcFOA/St3Xlf2JkhoIiWMPSW02SDJh20WqkTsXia8
 NFRQ==
X-Received: by 10.236.124.237 with SMTP id x73mr6389187yhh.137.1401137008292; 
 Mon, 26 May 2014 13:43:28 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.170.127.66 with HTTP; Mon, 26 May 2014 13:42:48 -0700 (PDT)
In-Reply-To: <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
 <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
 <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Mon, 26 May 2014 22:42:48 +0200
Message-ID: <CAAeL0SSMYmcK+J9pE-q1N+C1Wzq2hk6FsZMEqwe29C=s6sMHdw@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17589
Cc: martin rudalics <rudalics@HIDDEN>, Arash Cue <eg5cue@HIDDEN>,
 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Mon, May 26, 2014 at 10:32 PM, Stefan Monnier
<monnier@HIDDEN> wrote:

> Saving buffer names is indeed a problem.  I think we should try and
> remember the actual buffer whenever possible (i.e. until we want to
> print the object) and when printing, we should try and print
> a description of the buffer, e.g. its file-name if it's visiting a file

Framesets treat window states (from window-state-get) as opaque
objects. I'm not sure what kind of changes would be required (in the
window state's API, I mean, not framesets) to implement what you
suggest.

Martin?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 26 May 2014 20:32:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 26 16:32:51 2014
Received: from localhost ([127.0.0.1]:60761 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wp1Zi-0002fy-IB
	for submit <at> debbugs.gnu.org; Mon, 26 May 2014 16:32:50 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:31764)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1Wp1Zg-0002fl-9l
 for 17589 <at> debbugs.gnu.org; Mon, 26 May 2014 16:32:49 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArYGAIDvNVNLd/fU/2dsb2JhbABZgwaDSr0vgw6BFxd0giUBAQEBAgFWIwULCw4mEhQYDSSIBAjSGReOegeEOASpGYFqg0wh
X-IPAS-Result: ArYGAIDvNVNLd/fU/2dsb2JhbABZgwaDSr0vgw6BFxd0giUBAQEBAgFWIwULCw4mEhQYDSSIBAjSGReOegeEOASpGYFqg0wh
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="64269258"
Received: from 75-119-247-212.dsl.teksavvy.com (HELO pastel.home)
 ([75.119.247.212])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 26 May 2014 16:32:42 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 066E560786; Mon, 26 May 2014 16:32:41 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
Message-ID: <jwvtx8cth9h.fsf-monnier+emacsbugs@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
 <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
Date: Mon, 26 May 2014 16:32:41 -0400
In-Reply-To: <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
 (Juanma Barranquero's message of "Mon, 26 May 2014 21:04:07 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17589
Cc: Arash Cue <eg5cue@HIDDEN>, 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> Framesets (or, really, window states) on the other hand, save the
> buffer *names*. So if you rename a buffer, as it happens when you
> visit another file with the same name, the frameset's window state
> loses the reference to the original buffer.

Saving buffer names is indeed a problem.  I think we should try and
remember the actual buffer whenever possible (i.e. until we want to
print the object), and when printing, we should try and print
a description of the buffer, e.g. its file-name if it's visiting a file
(I guess the data used in bookmarks would be a good starting point).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 26 May 2014 19:04:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 26 15:04:55 2014
Received: from localhost ([127.0.0.1]:60701 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wp0Cd-00073G-0L
	for submit <at> debbugs.gnu.org; Mon, 26 May 2014 15:04:55 -0400
Received: from mail-yh0-f46.google.com ([209.85.213.46]:63196)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1Wp0Ca-00072w-Va
 for 17589 <at> debbugs.gnu.org; Mon, 26 May 2014 15:04:53 -0400
Received: by mail-yh0-f46.google.com with SMTP id 29so6693142yhl.33
 for <17589 <at> debbugs.gnu.org>; Mon, 26 May 2014 12:04:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=cKb3woz5Oea+6vdtDbCI4g0dtBclKXbIcPZWXvFHtcA=;
 b=OnucAs1mKcSjfdc92EeuS2oZ4uhj9KtCMX5W/L+0jk/m2jYYgPkotVqw8pCuEC4vbu
 njhSiAYhNG9uKDHgE//Gw7otgw3qdM94DvOxLmQJydP1Pc8OPCtO/ocvpsGRT9rLDCE6
 Eoz9jx5slIKaKyxyd+o/FG8p86wa/kQFCRDVBzZMKy9LCF8KoDHFRoiNGPAu9WHHzZD+
 i2856LyvbNsg3GlKD1jYyNj6D5fqaYiA1F5kEDns9DJP/mZe6z7Q1ZvFMz3bC3DZpyF/
 TQhnQk1YZimUovnDxBpmswBtfGHSKBMvRaP7y81+wJIMqzwJHvdtRTU/DvpnMmMP2tcg
 V8ZQ==
X-Received: by 10.236.226.101 with SMTP id a95mr34440549yhq.88.1401131087192; 
 Mon, 26 May 2014 12:04:47 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.170.127.66 with HTTP; Mon, 26 May 2014 12:04:07 -0700 (PDT)
In-Reply-To: <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
 <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Mon, 26 May 2014 21:04:07 +0200
Message-ID: <CAAeL0STTjkDtM5gzjNkcHVN1yqxLq+HNCRvaHbRn3DRiSWfdNA@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
To: Arash Cue <eg5cue@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17589
Cc: 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Mon, May 26, 2014 at 7:49 PM, Arash Cue <eg5cue@HIDDEN> wrote:

> sry, now i noticed it only happens when different files with the same name
> opened in each frame...

Interesting.

Saving a frame configuration to a register really does a very
low-level saving of the frame, so I suppose it keeps pointers to the
buffers even if they are renamed.

Framesets (or, really, window states) on the other hand, save the
buffer *names*. So if you rename a buffer, as it happens when you
visit another file with the same name, the frameset's window state
loses the reference to the original buffer.

As framesets used in frameset-to-register (C-x r f R) are intended for
in-session use only, I suppose I could hook into uniquify or some
other hook and dynamically alter the in-memory frameset(s), but it
seems quite hackish. I'll have to think about it.

    J




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 26 May 2014 17:50:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 26 13:50:00 2014
Received: from localhost ([127.0.0.1]:60666 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Woz27-0003LH-NF
	for submit <at> debbugs.gnu.org; Mon, 26 May 2014 13:50:00 -0400
Received: from mail-qc0-f181.google.com ([209.85.216.181]:34677)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eg5cue@HIDDEN>) id 1Woz25-0003Kx-5X
 for 17589 <at> debbugs.gnu.org; Mon, 26 May 2014 13:49:58 -0400
Received: by mail-qc0-f181.google.com with SMTP id m20so12456338qcx.12
 for <17589 <at> debbugs.gnu.org>; Mon, 26 May 2014 10:49:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=x51GRcJOFVVWHdnSIgeiAGYuPVnxdM3hAa5rgPg1JnM=;
 b=biM4Y3y6KjTO/hbM/YliAaX/fRXCgoJP4rNrJ6Z+iS7wbBm0lBq5/52Ss5LiztskuE
 OW/YdIk7oEUaS9bS2M5TJz35fRO8GrqjY5HUBBAQptriffWYQLP4jJd6SBj3En8DQpa1
 KneFy7Ci9fzT8QjE3BBlsM/qEBw8CCgzqq2rI+0dket/x1U8WYl3CknphfZoNfMn1ogN
 Jtss6Ko6SmMs+uQb/kpKnbEJGcbWwd5g0q/TwY+KVHBmZL/9e4dhptlzj6o3EcmHszDt
 0dOvlIxyy2zHUcQMXcwT6/8XQi9102M9qgdvB/BMsqq33qHudwy5gz+pl+T1BwjqrG7N
 DtCg==
MIME-Version: 1.0
X-Received: by 10.224.0.70 with SMTP id 6mr6206893qaa.100.1401126591520; Mon,
 26 May 2014 10:49:51 -0700 (PDT)
Received: by 10.96.228.112 with HTTP; Mon, 26 May 2014 10:49:51 -0700 (PDT)
In-Reply-To: <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
 <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
Date: Mon, 26 May 2014 17:49:51 +0000
Message-ID: <CAAFMBVaUeCmQY6-+xyuaKZaDtj8hBMfaH4mWUQ8QZdHVbydEYQ@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
From: Arash Cue <eg5cue@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Content-Type: multipart/alternative; boundary=047d7bdc96c8c6099e04fa5134ed
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17589
Cc: 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--047d7bdc96c8c6099e04fa5134ed
Content-Type: text/plain; charset=UTF-8

sry, now i noticed it only happens when different files with the same name
opened in each frame... , here's what i did:

emacs -Q
opening file a/util.c and a/util.h side by side, save window configuration
in register (C-x r f a)
then file b/util.c and b/util.h, (C-x r f b)

when i want to restore register 'a' (C-x r j a) emacs opens random buffers
instead, but register 'b' works.

i tried last commit of branch 'emacs-24' today and it still happens, but
emacs-24.3 works fine.


On Mon, May 26, 2014 at 5:18 PM, Juanma Barranquero <lekktu@HIDDEN>wrote:

> > when i want to go back to 'a' (C-x r j a) emacs can't remember the frame
> and
> > open random buffer instead. (no error)
>
> Could you please give a step-by-step recipe starting from emacs -Q and
> describing the buffers that you do see at each step?
>
> TIA,
>
>    Juanma
>

--047d7bdc96c8c6099e04fa5134ed
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_extra"><br>=
</div><div class=3D"gmail_extra">sry, now i noticed it only happens when di=
fferent files with the same name opened in each frame... , here&#39;s what =
i did:</div>
<div class=3D"gmail_extra"><br></div><div class=3D"gmail_extra">emacs -Q</d=
iv><div class=3D"gmail_extra">opening file a/util.c and a/util.h side by si=
de, save window configuration in register (C-x r f a)</div><div class=3D"gm=
ail_extra">
then file b/util.c and b/util.h, (C-x r f b)</div><div class=3D"gmail_extra=
"><br></div><div class=3D"gmail_extra">when i want to restore register &#39=
;a&#39; (C-x r j a) emacs opens random buffers instead, but register &#39;b=
&#39; works.</div>
<div class=3D"gmail_extra"><br></div><div class=3D"gmail_extra">i tried las=
t commit of branch &#39;emacs-24&#39; today and it still happens, but emacs=
-24.3 works fine.</div><div><br></div><br><div class=3D"gmail_quote">On Mon=
, May 26, 2014 at 5:18 PM, Juanma Barranquero <span dir=3D"ltr">&lt;<a href=
=3D"mailto:lekktu@HIDDEN" target=3D"_blank">lekktu@HIDDEN</a>&gt;</sp=
an> wrote:<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-=
left-width:1px;border-left-color:rgb(204,204,204);border-left-style:solid;p=
adding-left:1ex">&gt; when i want to go back to &#39;a&#39; (C-x r j a) ema=
cs can&#39;t remember the frame and<br>

&gt; open random buffer instead. (no error)<br>
<br>
Could you please give a step-by-step recipe starting from emacs -Q and<br>
describing the buffers that you do see at each step?<br>
<br>
TIA,<br>
<br>
=C2=A0 =C2=A0Juanma<br>
</blockquote></div><br></div></div>

--047d7bdc96c8c6099e04fa5134ed--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at 17589 <at> debbugs.gnu.org:


Received: (at 17589) by debbugs.gnu.org; 26 May 2014 17:18:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 26 13:18:51 2014
Received: from localhost ([127.0.0.1]:60654 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WoyXz-0002X3-Bd
	for submit <at> debbugs.gnu.org; Mon, 26 May 2014 13:18:51 -0400
Received: from mail-yk0-f171.google.com ([209.85.160.171]:38938)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1WoyXw-0002Wl-Lp
 for 17589 <at> debbugs.gnu.org; Mon, 26 May 2014 13:18:49 -0400
Received: by mail-yk0-f171.google.com with SMTP id 142so6293604ykq.16
 for <17589 <at> debbugs.gnu.org>; Mon, 26 May 2014 10:18:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=+acbMVWgeENqlVajZrioGpNk7qyxdZ8ewpXoCgcFF4o=;
 b=po5c0FKwkN3+CcL3QZPxoN81opBAGyjBOish95cefugI/U3AJgsP8RsPaqB+CIJVGI
 Dt2mvQ2Z6EUDsqI4gOgEqXqgQxYBEVqL4MNcSSkzl3gZ+fe4eYBNdntN8SwE7B7JxVV+
 krMIZUMfuOBbZpazx0v4FklplUSwzTuE/NEDksY6bAU67ZLnQ9xbrVNaEPrD323TG65w
 fcbiGVP0kcNeqJYtYIud4UnsWZcXYLP9n0cK3FJufyzT3GTpz47k7gx3L93Efld0heHY
 +fIc0CworKz7VSBKcrpUfU9fVAGvYqjAjRiNHbp7XitAQEdoKHeQucx++7Vb/n2gKx5j
 QuTg==
X-Received: by 10.236.91.170 with SMTP id h30mr4551739yhf.143.1401124722860;
 Mon, 26 May 2014 10:18:42 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.170.127.66 with HTTP; Mon, 26 May 2014 10:18:02 -0700 (PDT)
In-Reply-To: <w538uppwpmh.fsf@HIDDEN>
References: <w538uppwpmh.fsf@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Mon, 26 May 2014 19:18:02 +0200
Message-ID: <CAAeL0SQBZzRU+eUFLa5qXdZyZEaKE6WktQyE4VBZ9JE-ghgmOw@HIDDEN>
Subject: Re: bug#17589: 24.3.91; lisp/frameset.el
To: eg5cue@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17589
Cc: 17589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

> when i want to go back to 'a' (C-x r j a) emacs can't remember the frame and
> open random buffer instead. (no error)

Could you please give a step-by-step recipe starting from emacs -Q and
describing the buffers that you do see at each step?

TIA,

   Juanma




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 May 2014 19:46:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 25 15:46:24 2014
Received: from localhost ([127.0.0.1]:59908 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WoeND-0001t4-Fo
	for submit <at> debbugs.gnu.org; Sun, 25 May 2014 15:46:23 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39337)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eg5cue@HIDDEN>) id 1WoeNA-0001sq-Kr
 for submit <at> debbugs.gnu.org; Sun, 25 May 2014 15:46:21 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eg5cue@HIDDEN>) id 1WoeMz-00007f-7r
 for submit <at> debbugs.gnu.org; Sun, 25 May 2014 15:46:15 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:48176)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eg5cue@HIDDEN>) id 1WoeMz-00007Y-5L
 for submit <at> debbugs.gnu.org; Sun, 25 May 2014 15:46:09 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41012)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eg5cue@HIDDEN>) id 1WoeMt-0001ON-5X
 for bug-gnu-emacs@HIDDEN; Sun, 25 May 2014 15:46:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eg5cue@HIDDEN>) id 1WoeMn-00005P-6h
 for bug-gnu-emacs@HIDDEN; Sun, 25 May 2014 15:46:03 -0400
Received: from mail-we0-x22d.google.com ([2a00:1450:400c:c03::22d]:40441)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eg5cue@HIDDEN>) id 1WoeMn-000056-0P
 for bug-gnu-emacs@HIDDEN; Sun, 25 May 2014 15:45:57 -0400
Received: by mail-we0-f173.google.com with SMTP id u57so7245449wes.32
 for <bug-gnu-emacs@HIDDEN>; Sun, 25 May 2014 12:45:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version:content-type;
 bh=lq/Jc+fan1biJF59Gu1EA0tx29VbbKODSsdMtpFV/hA=;
 b=NTOJou2VbfhNplF5BrtTqg8UpsVxRruAhAIOvN5xrbxGmeRgrF0YICAm/mrJxlIzZy
 FkN7rzz9A6+hcKTpDPMSrnZAUBo7qvEjpWLeTSJFPiAyHWNSG34mm2+YxzUzfEaYqexy
 5A0B/ZHzNaNVoaI1pC6ilaNK4mO2JrTpF794R6i1zd2hHv6lw/ZHsaCe6OXXDh0v/W9h
 SuDazKTnc5YHLNCas3WANXkR69AZHJxcLQpdgyJEy3UXXNlEW+QRN6D9eQka8Atb/9Do
 +EnPOAVcDWiSckt8zJ5FPNI78xmwwFYYk/Ma5e3tqo+uLssN/MHtfzZetx+7nMFXzw51
 2inA==
X-Received: by 10.180.188.147 with SMTP id ga19mr20817218wic.54.1401047155804; 
 Sun, 25 May 2014 12:45:55 -0700 (PDT)
Received: from vanix.vanixnw ([2.144.159.100])
 by mx.google.com with ESMTPSA id ba9sm20645106wib.24.2014.05.25.12.45.53
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 25 May 2014 12:45:55 -0700 (PDT)
From: eg5cue@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.91; lisp/frameset.el
Date: Sun, 25 May 2014 20:49:10 +0000
Message-ID: <w538uppwpmh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

cmdline: emacs -Q
version: git 24.3.91.1 (branch emacs-24)

frame 'a': (C-x r f a)
changing buffers and windows ...
frame 'b': (C-x r f b)
when i want to go back to 'a' (C-x r j a) emacs can't remember the frame and
open random buffer instead. (no error)
i tried both GUI and terminal versions. 









In GNU Emacs 24.3.91.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.8)
 of 2014-05-25 on XX
Windowing system distributor `The X.Org Foundation', version 11.0.11500000
System Description:	Gentoo Base System release 2.2

Configured using:
 `configure --prefix=/usr --build=x86_64-pc-linux-gnu
 --host=x86_64-pc-linux-gnu --mandir=/usr/share/man
 --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc
 --localstatedir=/var/lib --libdir=/usr/lib64 --disable-silent-rules
 --disable-dependency-tracking --program-suffix=-emacs-24-git
 --infodir=/usr/share/info/emacs-24-git --localstatedir=/var
 --enable-locallisppath=/etc/emacs:/usr/share/emacs/site-lisp
 --with-gameuser=games --without-compress-install
 --with-file-notification=inotify --enable-acl --with-dbus --with-gnutls
 --with-gpm --without-hesiod --without-kerberos --without-kerberos5
 --with-xml2 --without-selinux --with-wide-int --with-zlib
 --with-sound=alsa --with-x --without-ns --without-gconf
 --without-gsettings --without-toolkit-scroll-bars --without-gif
 --without-jpeg --without-png --without-rsvg --without-tiff --with-xpm
 --without-imagemagick --with-xft --without-libotf --without-m17n-flt
 --with-x-toolkit=gtk3 GENTOO_PACKAGE=app-editors/emacs-git-24.4.9999
 'CFLAGS=-O2 -pipe' CPPFLAGS= 'LDFLAGS=-Wl,-O1 -Wl,--as-needed''

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Memory information:
((conses 16 185981 8887)
 (symbols 48 30733 0)
 (miscs 40 73 106)
 (strings 32 47584 5705)
 (string-bytes 1 1463860)
 (vectors 16 22398)
 (vector-slots 8 506557 4327)
 (floats 8 125 71)
 (intervals 56 301 0)
 (buffers 960 15)
 (heap 1024 41524 1001))




Acknowledgement sent to eg5cue@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN.

Your message had a Version: pseudo-header with an invalid package version:

git 24.3.91.1 (branch emacs-24)

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

Full text available.


Report forwarded to bug-gnu-emacs@HIDDEN:
bug#17589; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.